Bug 1505755 - [abrt] webkitgtk4: WebCore::SharedBuffer::data() const(): WebKitWebProcess killed by SIGSEGV
Summary: [abrt] webkitgtk4: WebCore::SharedBuffer::data() const(): WebKitWebProcess ki...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk4
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Popela
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ae43eca86e95f234e87436474f0...
: 1508044 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-24 08:49 UTC by Peter
Modified: 2017-10-31 18:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-26 18:20:24 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (15.17 KB, text/plain)
2017-10-24 08:50 UTC, Peter
no flags Details
File: cgroup (195 bytes, text/plain)
2017-10-24 08:50 UTC, Peter
no flags Details
File: core_backtrace (76.14 KB, text/plain)
2017-10-24 08:50 UTC, Peter
no flags Details
File: cpuinfo (1.60 KB, text/plain)
2017-10-24 08:50 UTC, Peter
no flags Details
File: dso_list (15.61 KB, text/plain)
2017-10-24 08:50 UTC, Peter
no flags Details
File: environ (1.52 KB, text/plain)
2017-10-24 08:50 UTC, Peter
no flags Details
File: exploitable (100 bytes, text/plain)
2017-10-24 08:50 UTC, Peter
no flags Details
File: limits (1.29 KB, text/plain)
2017-10-24 08:50 UTC, Peter
no flags Details
File: maps (94.23 KB, text/plain)
2017-10-24 08:50 UTC, Peter
no flags Details
File: open_fds (2.34 KB, text/plain)
2017-10-24 08:50 UTC, Peter
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-10-24 08:50 UTC, Peter
no flags Details
File: var_log_messages (115 bytes, text/plain)
2017-10-24 08:50 UTC, Peter
no flags Details


Links
System ID Private Priority Status Summary Last Updated
WebKit Project 178852 0 None None None 2017-10-26 18:20:24 UTC

Description Peter 2017-10-24 08:49:55 UTC
Version-Release number of selected component:
webkitgtk4-2.18.1-1.fc27

Additional info:
reporter:       libreport-2.9.2
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 48
crash_function: WebCore::SharedBuffer::data() const
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
journald_cursor: s=03925f6e3bf14ac5b7315ffdc62895da;i=42d9;b=1fadb925f2ad4c2c90f4ca4b52c1e588;m=21457033;t=55c45b3faa0e5;x=543671c6027af26d
kernel:         4.13.8-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 WebCore::SharedBuffer::data() const at /usr/src/debug/webkitgtk4-2.18.1-1.fc27.x86_64/Source/WebCore/platform/SharedBuffer.cpp:100
 #1 GIFImageReader::data(unsigned long) const at /usr/src/debug/webkitgtk4-2.18.1-1.fc27.x86_64/Source/WebCore/platform/image-decoders/gif/GIFImageReader.h:298
 #2 GIFImageReader::parse(unsigned long, unsigned long, bool) at /usr/src/debug/webkitgtk4-2.18.1-1.fc27.x86_64/Source/WebCore/platform/image-decoders/gif/GIFImageReader.cpp:412
 #3 GIFImageReader::decode(WebCore::GIFImageDecoder::GIFQuery, unsigned int) at /usr/src/debug/webkitgtk4-2.18.1-1.fc27.x86_64/Source/WebCore/platform/image-decoders/gif/GIFImageReader.cpp:360
 #4 WebCore::GIFImageDecoder::decode(unsigned int, WebCore::GIFImageDecoder::GIFQuery, bool) at /usr/src/debug/webkitgtk4-2.18.1-1.fc27.x86_64/Source/WebCore/platform/image-decoders/gif/GIFImageDecoder.cpp:349
 #5 WebCore::GIFImageDecoder::frameCount() const at /usr/src/debug/webkitgtk4-2.18.1-1.fc27.x86_64/Source/WebCore/platform/image-decoders/gif/GIFImageDecoder.cpp:67
 #6 WebCore::GIFImageDecoder::frameBufferAtIndex(unsigned long) at /usr/src/debug/webkitgtk4-2.18.1-1.fc27.x86_64/Source/WebCore/platform/image-decoders/gif/GIFImageDecoder.cpp:144
 #7 WebCore::ImageDecoder::createFrameImageAtIndex(unsigned long, WebCore::SubsamplingLevel, WebCore::DecodingOptions const&) at /usr/src/debug/webkitgtk4-2.18.1-1.fc27.x86_64/Source/WebCore/platform/image-decoders/ImageDecoder.cpp:218
 #8 WebCore::ImageFrameCache::<lambda()>::operator() at /usr/src/debug/webkitgtk4-2.18.1-1.fc27.x86_64/Source/WebCore/platform/graphics/ImageFrameCache.cpp:294

Comment 1 Peter 2017-10-24 08:50:01 UTC
Created attachment 1342630 [details]
File: backtrace

Comment 2 Peter 2017-10-24 08:50:03 UTC
Created attachment 1342631 [details]
File: cgroup

Comment 3 Peter 2017-10-24 08:50:05 UTC
Created attachment 1342632 [details]
File: core_backtrace

Comment 4 Peter 2017-10-24 08:50:07 UTC
Created attachment 1342633 [details]
File: cpuinfo

Comment 5 Peter 2017-10-24 08:50:09 UTC
Created attachment 1342634 [details]
File: dso_list

Comment 6 Peter 2017-10-24 08:50:11 UTC
Created attachment 1342635 [details]
File: environ

Comment 7 Peter 2017-10-24 08:50:12 UTC
Created attachment 1342636 [details]
File: exploitable

Comment 8 Peter 2017-10-24 08:50:14 UTC
Created attachment 1342637 [details]
File: limits

Comment 9 Peter 2017-10-24 08:50:17 UTC
Created attachment 1342638 [details]
File: maps

Comment 10 Peter 2017-10-24 08:50:19 UTC
Created attachment 1342639 [details]
File: open_fds

Comment 11 Peter 2017-10-24 08:50:20 UTC
Created attachment 1342640 [details]
File: proc_pid_status

Comment 12 Peter 2017-10-24 08:50:23 UTC
Created attachment 1342641 [details]
File: var_log_messages

Comment 13 Michael Catanzaro 2017-10-26 18:20:24 UTC
Thanks... this got fixed because you decided to report it. Every once in a while, that works. ;)

Comment 14 Michael Catanzaro 2017-10-31 18:10:08 UTC
*** Bug 1508044 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.